Page MenuHomePhabricator

Design tweaks for PointerOverlay
Closed, ResolvedPublic1 Estimated Story Points

Description

From Nirzar https://phabricator.wikimedia.org/T139794#2505836 there are some css changes and an alignment issue with the new pointer.

Here are the css changes

// this is the inline styling i'm guessing which changes for each pointer instance you create
div.tutorial-pointer {
   top: -6px;
   left: 24px;
}
.pointer-overlay .tutorial-pointer{
   border-right: 6px solid transparent;
   border-left: 6px solid transparent;
   border-bottom: 6px solid transparent;
}
.pointer-overlay {
   //remove the box-shadow property 
   //add border radius
   border-radius: 2px;
}
  • Design signed off by Nirzar
  • Live on any production servers before enabling

Suggested testing, LTR+RTL, portrait+landscape:

  • Android 2.3 Browser phone form factor
  • Android 4.x or higher Chrome phone form factor
  • Android 4.x or higher Chrome tablet form factor
  • iOS 9.3 iPhone Safari
  • iOS 9.3 iPad Safari
  • Opera Mini non-compressed (not extreme mode) Android 4.x or higher phone form factor
  • Opera Mini compressed ("Opera Mini" mode on iOS, "Extreme" mode on Android, inbuilt functionality on older devices like J2ME Opera Mini)
  • UC browser (not mini with compression) Android 4.x or higher phone form factor
  • UC Mini (with compression) Android 4.x or higher phone form factor
  • Windows 7.5+ Phone IE
  • Desktop Firefox
  • Desktop Chrome
  • Desktop Safari
  • Internet Explorer 11
  • Edge

Event Timeline

Nirzar updated the task description. (Show Details)Jul 29 2016, 6:04 PM
Nirzar updated the task description. (Show Details)

@bmansurov @phuedx @jhobs when you see this when you arrive on Monday, if there aren't high urgency things going on, would you please estimate and get a head start on this one so it's in a state to be reviewed and merged before the Tuesday train week 1 of sprint 78?

I guess an alternative approach is a SWAT in week 1.

dr0ptp4kt updated the task description. (Show Details)Jul 30 2016, 3:00 AM
phuedx claimed this task.Aug 1 2016, 8:22 AM

This feels like a 1 to me. @bmansurov @jhobs: Cool?

I'm not sure about this part:

Live on any production servers before enabling

Are we talking about the pointer as a whole or just these style changes? If just the style changes then do we have a mechanism to do so? If the pointer, then shouldn't this be determined where the pointer is used?

The style changes by themselves and testing is a 1 for me too.

Change 302224 had a related patch set uploaded (by Phuedx):
Update PointerOverlay styles

https://gerrit.wikimedia.org/r/302224

phuedx added a comment.Aug 1 2016, 9:10 AM

I had assumed that that AC was referring to enabling Action Bar V2™ in MFStable per T129505 and T138961, i.e. that this task should be considered a blocker of those two.

You know what they say about assumptions though…

This feels like a 1 to me. @bmansurov @jhobs: Cool?

1 seems fine to me. I'll update the task.

jhobs set the point value for this task to 1.Aug 1 2016, 2:48 PM
dr0ptp4kt triaged this task as High priority.Aug 1 2016, 4:11 PM

Change 302224 merged by jenkins-bot:
Update PointerOverlay styles

https://gerrit.wikimedia.org/r/302224

phuedx reassigned this task from phuedx to Nirzar.Aug 1 2016, 4:41 PM

^ Per the first AC.

@Nirzar how does the change look to you: http://en.m.wikipedia.beta.wmflabs.org/wiki/Lang? Can you sign off on the task if it looks good? Thanks.

Looks good. signed off!

bmansurov closed this task as Resolved.Aug 1 2016, 6:30 PM